if(WIN32)
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(LIBEXPAT_DIR ${CMAKE_SOURCE_DIR}/Toolkits/expat/lib/windows/x64)
    elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(LIBEXPAT_DIR ${CMAKE_SOURCE_DIR}/Toolkits/expat/lib/windows/win32)
    endif()
    target_link_libraries(${TARGET} PRIVATE ${LIBEXPAT_DIR}/libexpatMT$<$<CONFIG:Debug>:d>.lib)
elseif(CMAKE_COMPILE_FOR_ANDROID)
    target_link_libraries(${TARGET} PRIVATE ${CMAKE_SOURCE_DIR}/Toolkits/Android/bin/${CMAKE_ANDROID_API_LEVEL}/armeabi-v7a/libexpat.so)
elseif(UNIX)
    target_link_libraries(${TARGET} PRIVATE expat)
endif()
